Package org.apache.commons.math3.geometry.euclidean.threed

# Class OutlineExtractor

java.lang.Object
org.apache.commons.math3.geometry.euclidean.threed.OutlineExtractor

public class OutlineExtractor extends Object
Extractor for `polyhedrons sets` outlines.

This class extracts the 2D outlines from {`polyhedrons sets` in a specified projection plane.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`OutlineExtractor(Vector3D u, Vector3D v)`
Build an extractor for a specific projection plane.

## Method Summary

Modifier and Type
Method
Description
`Vector2D[][]`
`getOutline(PolyhedronsSet polyhedronsSet)`
Extract the outline of a polyhedrons set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutlineExtractor

public OutlineExtractor(Vector3D u, Vector3D v)
Build an extractor for a specific projection plane.

Parameters:
  `u` - abscissa axis of the projection point
  `v` - ordinate axis of the projection point

## Method Details

### getOutline

public Vector2D[][] getOutline(PolyhedronsSet polyhedronsSet)
Extract the outline of a polyhedrons set.

Parameters:
  `polyhedronsSet` - polyhedrons set whose outline must be extracted
Returns:
  an outline, as an array of loops.